Loading...
Searching...
No Matches
Map Concepts
Concepts

## Detailed Description

This group contains the skeletons and concept checking classes of maps.

## Classes

class | ReadMap< K, T >
| Readable map concept. More...
class | WriteMap< K, T >
| Writable map concept. More...
class | ReadWriteMap< K, T >
| Read/writable map concept. More...
class | ReferenceMap< K, T, R, CR >
| Dereferable map concept. More...

## Files

file | maps.h

## Typedefs

typedef K | Key
| The key type of the map.
typedef T | Value
| The value type of the map. (The type of objects associated with the keys).
typedef K | Key
| The key type of the map.
typedef T | Value
| The value type of the map. (The type of objects associated with the keys).
typedef K | Key
| The key type of the map.
typedef T | Value
| The value type of the map. (The type of objects associated with the keys).
typedef True | ReferenceMapTag
| Tag for reference maps.
typedef K | Key
| The key type of the map.
typedef T | Value
| The value type of the map. (The type of objects associated with the keys).
typedef R | Reference
| The reference type of the map.
typedef CR | ConstReference
| The const reference type of the map.

## Functions

Value | operator[] (const Key &) const
| Returns the value associated with the given key.
void | set (const Key &, const Value &)
| Sets the value associated with the given key.
| WriteMap ()
| Default constructor.
Value | operator[] (const Key &) const
| Returns the value associated with the given key.
void | set (const Key &, const Value &)
| Sets the value associated with the given key.
Reference | operator[] (const Key &)
| Returns a reference to the value associated with the given key.
ConstReference | operator[] (const Key &) const
| Returns a const reference to the value associated with the given key.
void | set (const Key &k, const Value &t)
| Sets the value associated with the given key.